package com.tomastc.bta500.lib;

import android.gesture.OrientedBoundingBox;

import org.json.JSONObject;

public class NstErrorLog {
    private String parent_mo_no;
    private String child_item_no;
    private String slip_no;
    private Double label_qty;
    private Double actual_qty;
    private String error_code;
    private String error_desc;
    private String pgm_name;
    private String chg_user_id;

    public String toString() {
        JSONObject json = new JSONObject();
        try {
           json.put("PARENT_MO_NO", this.parent_mo_no);
            json.put("CHILD_ITEM_NO", this.child_item_no);
            json.put("SLIP_NO", this.slip_no);
            json.put("LABEL_QUANTITY", this.label_qty);
            json.put("LABEL_OUTSTANDING_QTY", this.actual_qty);
            json.put("ERROR_DESC", this.error_desc);
            json.put("ERROR_CD", this.error_code);
            json.put("PGM_NAME", this.pgm_name);
            json.put("CHG_USE_ID", this.chg_user_id);
        } catch (Exception e) {
            e.printStackTrace();
        }

        return json.toString();
    }

    public String getError_code() { return error_code; }

    public void setError_code(String error_code) { this.error_code = error_code; }

    public String getParent_mo_no() {
        return parent_mo_no;
    }

    public void setParent_mo_no(String parent_mo_no) {
        this.parent_mo_no = parent_mo_no;
    }

    public String getChild_item_no() {
        return child_item_no;
    }

    public void setChild_item_no(String child_item_no) {
        this.child_item_no = child_item_no;
    }

    public String getSlip_no() {
        return slip_no;
    }

    public void setSlip_no(String slip_no) {
        this.slip_no = slip_no;
    }

    public Double getLabel_qty() {
        return label_qty;
    }

    public void setLabel_qty(Double label_qty) {
        this.label_qty = label_qty;
    }

    public Double getActual_qty() {
        return actual_qty;
    }

    public void setActual_qty(Double actual_qty) {
        this.actual_qty = actual_qty;
    }

    public String getError_desc() {
        return error_desc;
    }

    public void setError_desc(String error_desc) {
        this.error_desc = error_desc;
    }

    public String getPgm_name() {
        return pgm_name;
    }

    public void setPgm_name(String pgm_name) {
        this.pgm_name = pgm_name;
    }

    public String getChg_user_id() {
        return chg_user_id;
    }

    public void setChg_user_id(String chg_user_id) {
        this.chg_user_id = chg_user_id;
    }

    public NstErrorLog(String parent_mo_no, String child_item_no, String slip_no, Double label_qty, Double actual_qty, String error_desc, String pgm_name, String chg_user_id, String error_code) {
        this.parent_mo_no = parent_mo_no;
        this.child_item_no = child_item_no;
        this.slip_no = slip_no;
        this.label_qty = label_qty;
        this.actual_qty = actual_qty;
        this.error_desc = error_desc;
        this.pgm_name = pgm_name;
        this.chg_user_id = chg_user_id;
        this.error_code = error_code;
    }
}
